import { BigNumberString } from "./BigNumberString";
import { EthereumAddress } from "./EthereumAddress";
import { MerchantUrl } from "./MerchantUrl";
import { PaymentId } from "./PaymentId";
import { PaymentInternalDetails } from "./PaymentInternalDetails";
import { PublicIdentifier } from "./PublicIdentifier";
import { EPaymentState } from "./typing";
import { UnixTimestamp } from "./UnixTimestamp";
export declare abstract class Payment {
    id: PaymentId;
    to: PublicIdentifier;
    from: PublicIdentifier;
    state: EPaymentState;
    paymentToken: EthereumAddress;
    requiredStake: BigNumberString;
    amountStaked: BigNumberString;
    expirationDate: UnixTimestamp;
    createdTimestamp: UnixTimestamp;
    updatedTimestamp: UnixTimestamp;
    collateralRecovered: BigNumberString;
    merchantUrl: MerchantUrl;
    details: PaymentInternalDetails;
    metadata: string | null;
    constructor(id: PaymentId, to: PublicIdentifier, from: PublicIdentifier, state: EPaymentState, paymentToken: EthereumAddress, requiredStake: BigNumberString, amountStaked: BigNumberString, expirationDate: UnixTimestamp, createdTimestamp: UnixTimestamp, updatedTimestamp: UnixTimestamp, collateralRecovered: BigNumberString, merchantUrl: MerchantUrl, details: PaymentInternalDetails, metadata: string | null);
}
//# sourceMappingURL=Payment.d.ts.map